Skip to main content
`Ctrl`+`K`

# TSGetRunSteps

Gets the maximum number of steps to take in each call to `TSSolve()`.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetRunSteps(TS ts, PetscInt *runsteps)

Not Collective

## Input Parameter

- ts - the `TS` context obtained from `TSCreate()`

## Output Parameter

- runsteps - maximum number of steps to take in each call to `TSSolve`.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSSetRunSteps()`, `TSGetMaxTime()`, `TSSetMaxTime()`, `TSGetMaxSteps()`

## Level

advanced

## Location

src/ts/interface/ts.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages